Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetSchurBlocks

Gets all matrix blocks for the Schur complement

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetSchurBlocks(PC pc, Mat *A00, Mat *A01, Mat *A10, Mat *A11)

Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- A00 - the (0,0) block

- A01 - the (0,1) block

- A10 - the (1,0) block

- A11 - the (1,1) block

## Note

Use `NULL` for any unneeded output arguments

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `MatSchurComplementGetSubMatrices()`, `MatSchurComplementSetSubMatrices()`

## Level

advanced

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages